# Invoke-RASRepair.md

## NAME

Invoke-RASRepair

## SYNOPSIS

Repair Azure Virtual Desktop objects.

## SYNTAX

**Invoke-RASRepair** -[ObjType](#objtype) {AVDHost | AVDWorkspace | AVDHostPool | AVDTemplate} \[[AzureId](#azureid-string) *(string)*] \[[HostPoolId](#hostpoolid-string) *(uint)*] \[[Id](#id-string) *(uint)*] \[[ProviderId](#providerid-string) *(uint)*] \[[SiteId](#siteid-string) *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Repairs the specified broken Azure Virtual Desktop objects.

Accepted Azure Virtual Desktop Objects: AVDHostPool/AVDWorkspace/AVDTemplate.

## PARAMETERS

## ObjType ([RepairObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/repairobjtype.md))

Type of object to repair.

Possible values: AVDHost, AVDWorkspace, AVDHostPool, AVDTemplate

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The Id of the chosen ObjType.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AzureId (string)

The Azure Id of the chosen ObjType.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## HostPoolId (uint)

The Host pool Id of the chosen ObjType.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ProviderId (uint)

The Host pool Id of the chosen ObjType.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site Id.

```
        Required?                    false

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Invoke-RASCommand -Action Repair -ObjType AVDWorkspace -Id 1

Repairs the AVD Workspace with Id 1.

## RELATED LINKS

* [Get-RASAVDHostPool](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhostpool.md)
* [Get-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdworkspace.md)
* [Get-RASTemplate](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rastemplate.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasrepair.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
